

## 技术栈

| 技术栈          | 描述                     | 官网                                   |
| ------------ | ---------------------- | ------------------------------------ |
| Vue3         | 渐进式 JavaScript 框架      | https://v3.cn.vuejs.org/             |
| TypeScript   | JavaScript 的一个超集       | https://www.tslang.cn/               |
| Vite         | 前端开发与构建工具              | https://cn.vitejs.dev/               |
| Element Plus | 基于 Vue 3，面向设计师和开发者的组件库 | https://element-plus.gitee.io/zh-CN/ |
| Pinia        | 新一代状态管理工具              | https://pinia.vuejs.org/             |
| Vue Router   | Vue.js 的官方路由           | https://router.vuejs.org/zh/         |



## 启动部署

### 环境准备

- 安装 Node

  版本：≥v14.0.0

-

- 必装插件

  - Vue Language Features (Volar)
  - TypeScript Vue Plugin (Volar)

### 项目启动

1. npm install
2. npm run dev
3. 访问 http://localhost:3000

### 项目部署

- 本地打包

  ```
  npm run build:prod
  ```

  生成的静态文件位于项目根目录 dist 文件夹下
